List Conversations
Available for: Chatflow, New Agent, Chatbot, Agent apps.
Retrieve the conversation list for the current user, ordered by most recently active.
curl --request GET \
--url https://{api_base_url}/conversations \
--header 'Authorization: Bearer <token>'import requests
url = "https://{api_base_url}/conversations"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{api_base_url}/conversations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"limit": 20,
"has_more": false,
"data": [
{
"id": "45701982-8118-4bc5-8e9b-64562b4555f2",
"name": "iPhone Specs Chat",
"inputs": {
"city": "San Francisco"
},
"status": "normal",
"introduction": "Welcome! How can I help you today?",
"created_at": 1705407629,
"updated_at": 1705411229
}
]
}{
"status": 400,
"code": "not_chat_app",
"message": "Please check if your app mode matches the right API route."
}{
"status": 404,
"code": "not_found",
"message": "Last Conversation Not Exists."
}Authorizations
API Key authentication. For all API requests, include your API Key in the Authorization HTTP Header, prefixed with Bearer. Example: Authorization: Bearer {API_KEY}. Strongly recommend storing your API Key on the server-side, not shared or stored on the client-side, to avoid possible API-Key leakage that can lead to serious consequences. Requests with a missing or invalid API key fail with HTTP 401 and error code unauthorized.
Query Parameters
User identifier.
The ID of the last record on the current page (for pagination).
Number of records to return.
1 <= x <= 100Sorting field. Use '-' prefix for descending order.
created_at, -created_at, updated_at, -updated_at Was this page helpful?
